Ankündigung

Einklappen
Keine Ankündigung bisher.

Iconpicker 2.3.4 - Bullets und Font-Icon werden in Liste angezeigt

Einklappen
X
 
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

  • Iconpicker 2.3.4 - Bullets und Font-Icon werden in Liste angezeigt

    Seit dem Update des Iconpickers > 2.2.0 (2.3.4) wird beim Inhaltselement "Aufzählung" (unnummerierte Liste) das Listenbullet plus das gewählte Font-Icon angezeigt, siehe Screenshot "iconpicker-2.3.4".
    Wenn ich auf Iconpicker 2.2.0 zurückgehe, wird mir korrekt nur das gewählte Font-Icon angezeigt, siehe Screenshot "iconpicker-2.2.0".
    Nur leider kann ich beim Iconpicker 2.2.0 keine Icons mehr auswählen.

    Woran kann das liegen? Kann man am CSS was drehen? Tritt auf bei Contao Installation 4.9.31 mit den Customelements 4.4.11 und dem Iconpicker 2.3.4., PHP 7.4.30.
    Angehängte Dateien

  • #2
    Es war bisher der Fall, dass die FA-Klassen auch im bereich der CSS-Einstellungen eingetragen werden konnten. Evtl. ist da bei Dir noch der Fall.
    Entferne mal dort ggf. eingetragene Klassen und wähle nur das Font-Icon aus.

    Grüße
    https://www.webdesign24.biz
    https://www.mein-panorama.de

    Kommentar


    • #3
      Bei den CSS-Einstellungen ist bei mir als Klasse nur "list-style3" eingetragen. Entferne ich diese, bringt das keine Veränderung (Bullet + fa-angle-right wird angezeigt).
      Anbei ein Sceenshot meiner Einstellungen für das Element "Aufzählung". Wie gesagt: Mit Iconpicker 2.2.0 funktioniert es wie gewollt.
      Vielleicht sollte ich noch dazu sagen, dass Eclipse 9.10.25 verwendet wird. Kann es sein, dass das dortige CSS für die ".ce_list" Klasse nicht mehr passt?
      Angehängte Dateien

      Kommentar


      • #4
        Hier mal die vermeintlich korrekten Einstellungen:

        Klicke auf die Grafik für eine vergrößerte Ansicht

Name: list_be.png
Ansichten: 88
Größe: 318,2 KB
ID: 25423

        Klicke auf die Grafik für eine vergrößerte Ansicht

Name: list_fe.png
Ansichten: 122
Größe: 9,6 KB
ID: 25422


        Grüße

        https://www.webdesign24.biz
        https://www.mein-panorama.de

        Kommentar


        • #5
          Zitat von hanky Beitrag anzeigen
          ...
          Vielleicht sollte ich noch dazu sagen, dass Eclipse 9.10.25 verwendet wird. Kann es sein, dass das dortige CSS für die ".ce_list" Klasse nicht mehr passt?
          Zu spät gelesen. Eclipse 9 ist End of Live.
          Vermutlich darf man hier nur noch das IconPicker Modul aus Eclipse 9.10.26 verwenden.
          Außerdem ist Eclipse 9 nur noch mit Contao <4.9.16 kompatibel.

          Grüße
          https://www.webdesign24.biz
          https://www.mein-panorama.de

          Kommentar


          • #6
            Bei mir gibt es das Auswahlfeld "Stil-Klasse" gar nicht, siehe Anhang.
            Wie gesagt, da ist Eclipse 9.10.25 im Einsatz. Ist der Iconpicker mit Eclipse 9 nicht mehr kompatibel?

            Grüße Klicke auf die Grafik für eine vergrößerte Ansicht

Name: liste.PNG
Ansichten: 83
Größe: 35,4 KB
ID: 25427
            Angehängte Dateien

            Kommentar


            • #7
              Wie gesagt, Eclipse 9 ist End of Live.
              Vermutlich darf man hier nur noch das IconPicker Modul aus Eclipse 9.10.26 verwenden.
              Außerdem ist Eclipse 9 nur noch mit Contao <4.9.16 kompatibel.
              https://www.webdesign24.biz
              https://www.mein-panorama.de

              Kommentar


              • #8
                Das Thema Eclipse 9 und End of Live ist an mir natürlich nicht vorüber gegangen.
                Es hieß bei einer früheren Anfrage allerdings, dass in erster Linie die CustomElements das Problem mit Eclipse 9 und Contao > 4.9.16 wären.
                Daraufhin habe ich die CustomElements als Standalone Modul gekauft und es lief bisher alles gut mit Eclipse 9.10.26 und Contao > 4.9.16.

                Der Iconpicker ist ja bei den CustomElements als Modul mit dabei, deshalb ging ich davon aus, wenn die aktuellen CustomElements problemlos laufen, wird es der Iconpicker auch tun.

                Ich habe jetzt den Iconpicker 2.2.1 aus Eclipse 9.10.26 genommen und die Datei "pct_iconpicker\Contao\BackendIconPicker.php" mit der aus dem Iconpicker 2.3.4 ausgetauscht.
                Damit kann ich wieder die Font-Icons auswählen und im Frontend wird alles korrekt dargestellt.

                Bestimmt nicht die sauberste Lösung aber es funktioniert jetzt erstmal.

                Vielen Dank für die Hilfe.

                Grüße

                Kommentar

                Lädt...
                X